package main

import (
	"database/sql"

	_ "github.com/go-sql-driver/mysql"
)

func dbConnect(username string, password string, address string, port string, database string) *sql.DB {
	db, err := sql.Open("mysql", username+":"+password+"@tcp("+address+":"+port+")/"+database)

	if err != nil {
		panic(err.Error())
	}

	return db
}

func dbClose(database *sql.DB) {
	database.Close()
}

func dbQuerry(database *sql.DB, sqlCode string) *sql.Rows {
	results, err := database.Query(sqlCode)
	if err != nil {
		panic(err.Error())
	}

	return results
}
